Get an add-on record
curl --request GET \
--url https://b.anny.co/api/v1/add-ons/{add_on_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/add-ons/{add_on_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/add-ons/{add_on_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "add-ons",
"id": "247",
"attributes": {
"name": "Team Excellence Certificate",
"description": null,
"plain_description": "",
"customer_notice": null,
"lead_time": 0,
"is_third_party": false,
"is_net_price": false,
"currency": "EUR",
"tax_rate": 19,
"price": 50
},
"links": {
"self": "https://b.anny.co/api/v1/add-ons/247"
}
}
}Service Configuration
Get an add-on record
GET
/
api
/
v1
/
add-ons
/
{add_on_id}
Get an add-on record
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The add on identifier.
Abfrageparameter
Organization ID
Antwort
OK
An optional extra that can be added to a booking (e.g., equipment rental, catering).
Show child attributes
Show child attributes
⌘I